Bug 1127537 - [abrt] cinnamon: posixpath.py:92:split:AttributeError: 'NoneType' object has no attribute 'rfind'
Summary: [abrt] cinnamon: posixpath.py:92:split:AttributeError: 'NoneType' object has ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:56ee6ae1a96afa1ae08bd767484...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 05:59 UTC by Neil
Modified: 2015-06-09 02:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-09 02:00:16 UTC


Attachments (Terms of Use)
File: backtrace (566 bytes, text/plain)
2014-08-07 05:59 UTC, Neil
no flags Details
File: environ (1.17 KB, text/plain)
2014-08-07 05:59 UTC, Neil
no flags Details

Description Neil 2014-08-07 05:59:26 UTC
Description of problem:
I was editing Cinnamon menu and trying to remove/hide "wine-wine" entry, an that happened. 

Version-Release number of selected component:
cinnamon-2.2.14-5.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python -OOt /usr/bin/cinnamon-menu-editor
dso_list:       python-libs-2.7.5-13.fc20.x86_64
executable:     /usr/bin/cinnamon-menu-editor
kernel:         3.15.7-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
posixpath.py:92:split:AttributeError: 'NoneType' object has no attribute 'rfind'

Traceback (most recent call last):
  File "/usr/lib/cinnamon-menu-editor/cme/MainWindow.py", line 70, in menuChanged
    self.loadUpdates()
  File "/usr/lib/cinnamon-menu-editor/cme/MainWindow.py", line 85, in loadUpdates
    item_id = os.path.split(items[iter][3].get_desktop_file_path())[1]
  File "/usr/lib64/python2.7/posixpath.py", line 92, in split
    i = p.rfind('/') + 1
AttributeError: 'NoneType' object has no attribute 'rfind'

Local variables in innermost frame:
p: None

Potential duplicate: bug 981849

Comment 1 Neil 2014-08-07 05:59:28 UTC
Created attachment 924712 [details]
File: backtrace

Comment 2 Neil 2014-08-07 05:59:30 UTC
Created attachment 924713 [details]
File: environ

Comment 3 Fedora End Of Life 2015-05-29 12:34:36 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.